[arch-commits] Commit in texlive-langkorean/repos (4 files)

Rémy Oudompheng remy at archlinux.org
Tue Sep 1 10:31:36 UTC 2015


    Date: Tuesday, September 1, 2015 @ 12:31:36
  Author: remy
Revision: 245145

archrelease: copy trunk to testing-any

Added:
  texlive-langkorean/repos/testing-any/
  texlive-langkorean/repos/testing-any/PKGBUILD
    (from rev 245144, texlive-langkorean/trunk/PKGBUILD)
  texlive-langkorean/repos/testing-any/texlive-langkorean.maps
    (from rev 245144, texlive-langkorean/trunk/texlive-langkorean.maps)
  texlive-langkorean/repos/testing-any/texlive.install
    (from rev 245144, texlive-langkorean/trunk/texlive.install)

-------------------------+
 PKGBUILD                |   59 ++++++++++++++++++++++++++++++++++++++++++++++
 texlive-langkorean.maps |    2 +
 texlive.install         |   52 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 113 insertions(+)

Copied: texlive-langkorean/repos/testing-any/PKGBUILD (from rev 245144, texlive-langkorean/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2015-09-01 10:31:36 UTC (rev 245145)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langkorean
+pkgver=2015.37007
+_revnr=${pkgver#2015.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Korean texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+install=texlive.install
+md5sums=('60673019e8a0de96ef83f03258f6838a'
+         '2d6340a6d762914210c76ac8ad1f4fff')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf tlpkg
+}
+
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+
+    # scripts links
+    _linked_scripts="
+kotex-utils/jamo-normalize.pl
+kotex-utils/komkindex.pl
+kotex-utils/ttf2kotexfont.pl
+"
+    install -m755 -d $pkgdir/usr/bin
+    for _script in ${_linked_scripts}; do
+        _scriptbase=$(basename $_script)
+        _scriptbase=${_scriptbase%.*}
+        ln -s /usr/share/texmf-dist/scripts/${_script} ${pkgdir}/usr/bin/${_scriptbase}
+    done
+}

Copied: texlive-langkorean/repos/testing-any/texlive-langkorean.maps (from rev 245144, texlive-langkorean/trunk/texlive-langkorean.maps)
===================================================================
--- testing-any/texlive-langkorean.maps	                        (rev 0)
+++ testing-any/texlive-langkorean.maps	2015-09-01 10:31:36 UTC (rev 245145)
@@ -0,0 +1,2 @@
+Map nanumfonts.map
+Map umj.map

Copied: texlive-langkorean/repos/testing-any/texlive.install (from rev 245144, texlive-langkorean/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install	                        (rev 0)
+++ testing-any/texlive.install	2015-09-01 10:31:36 UTC (rev 245145)
@@ -0,0 +1,52 @@
+PKGNAME="texlive-langcjk"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+  TMPFILE=`mktemp`
+  echo    ">>> texlive: saving updmap.cfg as $TMPFILE..."
+  cp "$UPDMAP" "$TMPFILE"
+  echo    ">>> texlive: regenerating updmap.cfg (custom additions should go"
+  echo    "             into /etc/texmf/web2c/updmap-local.cfg"
+  cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+  cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+  [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+  echo    ">>> texlive: updating the filename database..."
+  usr/bin/mktexlsr
+  echo    ">>> texlive: updating the fontmap files with updmap..."
+  usr/bin/updmap-sys --quiet --nohash
+  echo    " done." 
+}
+
+post_upgrade() {
+  TMPFILE=`mktemp`
+  echo    ">>> texlive: saving updmap.cfg as $TMPFILE..."
+  cp "$UPDMAP" "$TMPFILE"
+  echo    ">>> texlive: regenerating updmap.cfg (custom additions should go"
+  echo    "             into /etc/texmf/web2c/updmap-local.cfg"
+  cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+  cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+  [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+  echo    ">>> texlive: updating the filename database..."
+  usr/bin/mktexlsr
+  echo    ">>> texlive: updating the fontmap files with updmap..."
+  usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+  echo    " done." 
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do 
+  sed -i "/\s$m/d" $UPDMAP ; 
+done
+}
+
+post_remove() {
+  echo    ">>> texlive: updating the filename database..."
+  usr/bin/mktexlsr
+  echo    ">>> texlive: updating the fontmap files with updmap..."
+  usr/bin/updmap-sys --quiet --nohash
+  echo    " done." 
+}



More information about the arch-commits mailing list